Package net.sf.saxon.om

## Class OneOrMore<T extends Item>

- java.lang.Object
- - net.sf.saxon.value.SequenceExtent
  - - net.sf.saxon.om.OneOrMore<T>

- All Implemented Interfaces:
    `GroundedValue`, `Sequence`

      public class OneOrMore<T extends Item>
      extends SequenceExtent

  A value that is a sequence containing one or more items. The main use is in declarations of reflexive extension functions, where declaring an argument of type <OneOrMore<IntegerValue>> triggers automatic type checking in the same way as for a native XSLT/XQuery function declaring the type as xs:integer+.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OneOrMore​(java.util.List<T> content)` |
    `OneOrMore​(T[] content)` | Create a sequence containing zero or one items

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OneOrMore<Item>` | `makeOneOrMore​(Sequence sequence)` |

    - ### Methods inherited from class net.sf.saxon.value.SequenceExtent

      `asIterable, effectiveBooleanValue, fromIterator, getCardinality, getLength, getStringValue, getStringValueCS, head, itemAt, iterate, iterator, makeResidue, makeSequenceExtent, makeSequenceExtent, reduce, reverseIterate, subsequence, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `concatenate, containsNode, materialize, toShortString`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### OneOrMore

          public OneOrMore​(T[] content)

      Create a sequence containing zero or one items
      Parameters:
        `content` - The content of the sequence

    - #### OneOrMore

          public OneOrMore​(java.util.List<T> content)

  - ### Method Detail

    - #### makeOneOrMore

          public static OneOrMore<Item> makeOneOrMore​(Sequence sequence)
                                               throws XPathException

      Throws:
        `XPathException`